package com.flossom.common.core.domain.req;

import com.flossom.common.core.annotation.Excel;
import com.flossom.common.core.web.domain.BaseEntity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class WxUserInstrumentExportVm  extends BaseEntity {

    @Excel(name = "序号")
    private Long id;

    @Excel(name = "昵称")
    private String nickname;

    @Excel(name = "手机")
    private String mobile;

    @Excel(name = "保修年限")
    private Long guarantee;

    @Excel(name = "用户编号")
    private Long userId;

    @Excel(name = "仪器名称")
    private String instrumentName;

    @Excel(name = "保修到期时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm")
    private Date guaranteeEndtime;

    @Excel(name = "绑定状态")
    private String bindingStatus;

    @Excel(name = "详情序号")
    private Long userInstrumentLogId;

    @Excel(name = "仪器序列号")
    private String userInstrumentLogSerial;

    @Excel(name = "类型")
    private String userInstrumentLogBingStatus;

    @Excel(name = "操作时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date userInstrumentLogCreateTime;

    public String getBindingStatus() {
        return bindingStatus;
    }

    public void setBindingStatus(String bindingStatus) {
        this.bindingStatus = bindingStatus;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Long getGuarantee() {
        return guarantee;
    }

    public void setGuarantee(Long guarantee) {
        this.guarantee = guarantee;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getInstrumentName() {
        return instrumentName;
    }

    public void setInstrumentName(String instrumentName) {
        this.instrumentName = instrumentName;
    }

    public Date getGuaranteeEndtime() {
        return guaranteeEndtime;
    }

    public void setGuaranteeEndtime(Date guaranteeEndtime) {
        this.guaranteeEndtime = guaranteeEndtime;
    }


    public Long getUserInstrumentLogId() {
        return userInstrumentLogId;
    }

    public void setUserInstrumentLogId(Long userInstrumentLogId) {
        this.userInstrumentLogId = userInstrumentLogId;
    }

    public String getUserInstrumentLogSerial() {
        return userInstrumentLogSerial;
    }

    public void setUserInstrumentLogSerial(String userInstrumentLogSerial) {
        this.userInstrumentLogSerial = userInstrumentLogSerial;
    }

    public String getUserInstrumentLogBingStatus() {
        return userInstrumentLogBingStatus;
    }

    public void setUserInstrumentLogBingStatus(String userInstrumentLogBingStatus) {
        this.userInstrumentLogBingStatus = userInstrumentLogBingStatus;
    }

    public Date getUserInstrumentLogCreateTime() {
        return userInstrumentLogCreateTime;
    }

    public void setUserInstrumentLogCreateTime(Date userInstrumentLogCreateTime) {
        this.userInstrumentLogCreateTime = userInstrumentLogCreateTime;
    }
}
